For the legacy tracker doc, check our guide here.
This endpoint tracks your page views. Use the cURL request below:
1 curl --request POST \ 2 --url https://in-automate.brevo.com/api/v2/trackPage \ 3 --header 'accept: application/json' \ 4 --header 'content-type: application/json' \ 5 --header 'ma-key: YOUR_MA_KEY' \ 6 --data ' 7 { 8 "email": "john.doe@email.com", 9 "page": "Checkout", 10 "properties": { 11 "title": "Dashboard", 12 "firstName": "John", 13 "lastName": "Doe" 14 } 15 } 16 '
Parameters:
| Attribute | Datatype | Description | Value |
|---|---|---|---|
email | String | Email used to identify the user | john.doe@email.com |
page | String | Page name | ”Checkout page” |
properties | Object | Custom fields. These user properties populate your contact database. | See example above |
Response
| Response code | Message | Description |
|---|---|---|
204 | Page has been tracked successfully | Page tracked. No JSON response body is returned with 204. |
400 | Bad request | Incorrect or missing parameters in the request. |